zabbix_export:
  version: '7.4'
  host_groups:
    - uuid: a14b5fb8301545c39a1c33e5412d8bd6
      name: Test
  hosts:
    - host: 'test host'
      name: 'test host'
      groups:
        - name: Test
      items:
        - name: 'dependend character'
          type: DEPENDENT
          key: status.character
          value_type: CHAR
          preprocessing:
            - type: NOT_MATCHES_REGEX
              parameters:
                - ^Up$|^Down$
              error_handler: DISCARD_VALUE
            - type: DISCARD_UNCHANGED
          master_item:
            key: status.master
        - name: master
          type: TRAP
          key: status.master
          history: '0'
          value_type: CHAR
          preprocessing:
            - type: NOT_MATCHES_REGEX
              parameters:
                - ^Error$
        - name: 'dependend numeric'
          type: DEPENDENT
          key: status.numeric
          preprocessing:
            - type: STR_REPLACE
              parameters:
                - Down
                - '0'
            - type: STR_REPLACE
              parameters:
                - Up
                - '1'
            - type: IN_RANGE
              parameters:
                - '0'
                - '1'
              error_handler: CUSTOM_VALUE
              error_handler_params: '7'
          master_item:
            key: status.master